You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@cloudstack.apache.org by ed...@apache.org on 2012/09/28 19:45:48 UTC

[7/7] git commit: CLOUDSTACK-143 vcpu hotplug is used whenever the number of vcpus are increased or decreased while the vm is online. so far this is never done in CloudStack for system vms. Also, no evidence that this file is copied to /etc/udev/rules.d

CLOUDSTACK-143 vcpu hotplug is used whenever the number of vcpus are increased or decreased while the vm is online. so far this is never done in CloudStack for system vms. Also, no evidence that this file is copied to /etc/udev/rules.d where it would be needed

CLOUDSTACK-144 xe-linux-distribution.init is used to communicate the distribution information to the xe toolset in dom0. No evidence that this file is copied to /etc/init.d where it would be needed. The right way to do it would be to install the xe-guest-utilities deb package from the xs-tools ISO distributed by Citrix XenServer

Conflicts:

	pom.xml


Project: http://git-wip-us.apache.org/repos/asf/incubator-cloudstack/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-cloudstack/commit/824aa3f1
Tree: http://git-wip-us.apache.org/repos/asf/incubator-cloudstack/tree/824aa3f1
Diff: http://git-wip-us.apache.org/repos/asf/incubator-cloudstack/diff/824aa3f1

Branch: refs/heads/4.0
Commit: 824aa3f1487e5c2d6143163406d92f90e2daf78f
Parents: 046e916
Author: Edison Su <su...@gmail.com>
Authored: Fri Sep 28 10:38:21 2012 -0700
Committer: Edison Su <su...@gmail.com>
Committed: Fri Sep 28 10:38:21 2012 -0700

----------------------------------------------------------------------
 .../systemvm/debian/xe/xe-linux-distribution.init  |  106 ---------------
 patches/systemvm/debian/xe/xen-vcpu-hotplug.rules  |    1 -
 2 files changed, 0 insertions(+), 107 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-cloudstack/blob/824aa3f1/patches/systemvm/debian/xe/xe-linux-distribution.init
----------------------------------------------------------------------
diff --git a/patches/systemvm/debian/xe/xe-linux-distribution.init b/patches/systemvm/debian/xe/xe-linux-distribution.init
deleted file mode 100644
index df6c845..0000000
--- a/patches/systemvm/debian/xe/xe-linux-distribution.init
+++ /dev/null
@@ -1,106 +0,0 @@
-#!/bin/bash
-#
-# xe-linux-distribution	Write Linux distribution information to XenStore.
-#
-# chkconfig: 2345 14 86
-# description: Writes Linux distribution version information to XenStore.
-#
-### BEGIN INIT INFO
-# Provides:          XenServer Virtual Machine Tools
-# Required-Start:    $local_fs
-# Required-Stop:     $local_fs
-# Default-Start:     2 3 4 5
-# Default-Stop:      0 1 6
-# Short-Description: XenServer Virtual Machine daemon providing host integration services
-# Description:       Writes Linux distribution version information to XenStore.
-### END INIT INFO
-
-LANG="C"
-export LANG
-
-if [ -f /etc/init.d/functions ] ; then
-. /etc/init.d/functions
-else
-action()
-{
-    descr=$1 ; shift
-    cmd=$@
-    echo -n "$descr "
-    $cmd
-    ret=$?
-    if [ $ret -eq 0 ] ; then
-	echo "OK"
-    else
-	echo "Failed"
-    fi
-    return $ret
-}
-fi
-
-XE_LINUX_DISTRIBUTION=/usr/sbin/xe-linux-distribution
-XE_LINUX_DISTRIBUTION_CACHE=/var/cache/xe-linux-distribution
-XE_DAEMON=/usr/sbin/xe-daemon
-XE_DAEMON_PIDFILE=/var/run/xe-daemon.pid
-
-if [ ! -x "${XE_LINUX_DISTRIBUTION}" ] ; then
-    exit 0
-fi
-
-start()
-{
-    if [ ! -e /proc/xen/xenbus ] ; then
-	if [ ! -d /proc/xen ] ; then
-	    action $"Mounting xenfs on /proc/xen:" /bin/false
-	    echo "Could not find /proc/xen directory."
-	    echo "You need a post 2.6.29-rc1 kernel with CONFIG_XEN_COMPAT_XENFS=y and CONFIG_XENFS=y|m"
-	    exit 1
-	else 
-	    # This is needed post 2.6.29-rc1 when /proc/xen support was pushed upstream as a xen filesystem
-	    action $"Mounting xenfs on /proc/xen:" mount -t xenfs none /proc/xen
-	fi
-    fi
-
-    if [ -e /proc/xen/capabilities ] && grep -q control_d /proc/xen/capabilities ; then
-	# Do not want daemon in domain 0
-	exit 0
-    fi
-
-    action $"Detecting Linux distribution version:" \
-	${XE_LINUX_DISTRIBUTION} ${XE_LINUX_DISTRIBUTION_CACHE}
-
-    action $"Starting xe daemon: " /bin/true
-    mkdir -p $(dirname ${XE_DAEMON_PIDFILE})
-    # This is equivalent to daemon() in C
-    ( exec &>/dev/null ; ${XE_DAEMON} -p ${XE_DAEMON_PIDFILE} & )
-}
-
-stop()
-{
-    action $"Stopping xe daemon: "   kill -TERM $(cat ${XE_DAEMON_PIDFILE})
-}
-
-# fail silently if not running xen
-if [ ! -d /proc/xen ]; then
-   exit
-fi
-
-case "$1" in
-  start)
-        start
-        ;;
-  stop)
-	stop
-	;;
-  force-reload|restart)
-	stop
-	start
-	;;
-  *)
-        # do not advertise unreasonable commands that there is no reason
-        # to use with this device
-        echo $"Usage: $0 start|restart"
-        exit 1
-esac
-
-exit $?
-

http://git-wip-us.apache.org/repos/asf/incubator-cloudstack/blob/824aa3f1/patches/systemvm/debian/xe/xen-vcpu-hotplug.rules
----------------------------------------------------------------------
diff --git a/patches/systemvm/debian/xe/xen-vcpu-hotplug.rules b/patches/systemvm/debian/xe/xen-vcpu-hotplug.rules
deleted file mode 100644
index ecb200e..0000000
--- a/patches/systemvm/debian/xe/xen-vcpu-hotplug.rules
+++ /dev/null
@@ -1 +0,0 @@
-ACTION=="add", SUBSYSTEM=="cpu", RUN+="/bin/sh -c '[ ! -e /sys$devpath/online ] || echo 1 > /sys$devpath/online'"